<div class="component-correct-width">

  <div fxLayout="row" fxLayoutAlign="start center">
    <div fxLayout="column" fxFlex="45%">
      <div fxLayout="row">
        <div fxLayout="column" fxFlex="50%" class="bheader">
          <div fxLayout="row" fxLayoutAlign="end center">
            {{monthlyHistory && monthlyHistory[0]?.dailyMenuDate | date: 'MMMM y'}}
          </div>
        </div>
        <div fxLayout="column" fxFlex="10%" class="bheader">
          <div fxLayout="row">
            <button mdTooltip="Next month" md-icon-button [routerLink]="['/hungry/history', getNextYear(), getNextMonth()]"><i class="material-icons">keyboard_arrow_up</i></button>
            <button mdTooltip="Previous month" md-icon-button [routerLink]="['/hungry/history', getPreviousYear(), getPreviousMonth()]"><i class="material-icons">keyboard_arrow_down</i></button>
          </div>
        </div>
      </div>
      <div fxLayout="row">
        <div fxLayout="column" fxFlex="50%" class="sheader">
          <div fxLayout="row" fxLayoutAlign="end center">
            My orders' history
          </div>
        </div>
      </div>
    </div>
    <div fxLayout="column" fxFlex="25%">
      <app-hungry-nav-bar>
      </app-hungry-nav-bar>
    </div>
  </div>
  <main class="mdl-layout__content">
  </main>
  <md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
  <div *ngIf="!loading" class="flex-container" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div class="days" fxFlex="20%" *ngFor="let day of dayNames">
      {{day}}
    </div>
    <div fxFlex="20%" *ngFor="let dayAfter of daysAfterMonday">
    </div>
    <div class="flex-item" fxFlex="20%" *ngFor="let dm of monthlyHistory; let idx = index">
      <app-daily-order-history-component [dailyHistory]="dm" [orderAvail]="orderAvailability[idx]" [totalPr]="totalPrice[idx]"></app-daily-order-history-component>
    </div>
  </div>
  <div *ngIf="!loading" class="flex-container" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div fxFlex="100%">
      <div fxLayout="row" fxLayoutAlign="center center" class="hungry-chip">
        Your Monthly Total : {{monthlyTotal}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span>
      </div>
    </div>
  </div>
</div>
